> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Get All Gift Received

POST TBD/api/v2/gifts/all-gifts-received

This endpoint provides users with a full list of received gifts including vouchers, coupons, promotions, and prizes through the City Of Treasture (COT) in a paged format. For each gift type, associated information, such as merchant details, balance, validity, and images are included for the user's convenience.

### Request Body

- `page` (integer): Indicates the page number to display when more than one page of results is possible.
    

### Response

- `coupons` (array): An array containing details of any coupons the user has received.
    
- `promotions` (array): An array detailing any promotions the user has been awarded.
    
- `vouchers` (array): An array with the data related to any vouchers the user has received.
    
    - For each voucher, the data includes details such as the voucher ID, description, original and available balance, expiry date, etc.
        
- `cot_prizes` (array): An array listing any prizes the user has won through City Of Treasture (COT).
    
    - For each prize, data such as the prize ID, numeric value, expiry date, image URL, etc., is included.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/gift-card-promotion/get-all-gift-received

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Get All Gift Received

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaData

- `coupons` (list of any, optional)
- `promotions` (list of any, optional)
- `vouchers` (list of ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItems, optional)
- `cot_prizes` (list of ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataCotPrizesItems, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItems

- `merchant_username` (string, optional)
- `voucher_id` (string, optional)
- `barcode_batch_id` (any, optional, nullable)
- `country_id` (integer, optional)
- `currency_id` (integer, optional)
- `zone_id` (integer, optional)
- `name` (string, optional)
- `description` (string, optional)
- `balance_options` (string, optional)
- `is_universal` (integer, optional)
- `bonus_amount` (string, optional)
- `total_bonus_available` (string, optional)
- `total_bonus_remaining` (string, optional)
- `status` (string, optional)
- `validity_period` (integer, optional)
- `url` (string, optional)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `user_voucher_id` (string, optional)
- `barcode_id` (any, optional, nullable)
- `user_receiver_id` (string, optional)
- `message` (string, optional)
- `expiry_date` (string, optional)
- `delivery_date` (string, optional)
- `original_balance` (string, optional)
- `available_balance` (string, optional)
- `category_name` (string, optional)
- `category_id` (string, optional)
- `country_name` (string, optional)
- `city_name` (string, optional)
- `image_url` (string, optional)
- `payment_type` (string, optional)
- `user_buyer` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsUserBuyer, optional)
- `converted_balance_options` (list of ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsConvertedBalanceOptionsItems, optional)
- `converted_original_balance` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsConvertedOriginalBalance, optional)
- `converted_available_balance` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsConvertedAvailableBalance, optional)
- `full_address` (string, optional)
- `address_1` (string, optional)
- `postcode` (string, optional)
- `city` (string, optional)
- `merchants` (list of any, optional)
- `payments` (list of ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsPaymentsItems, optional)
- `barcode` (any, optional, nullable)
- `merchant` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsMerchant, optional)
- `redemptions` (list of any, optional)
- `currency` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsCurrency, optional)
- `voucher` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsVoucher, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataCotPrizesItems

- `id` (integer, optional)
- `promotion_id` (any, optional, nullable)
- `category` (string, optional)
- `asset_name` (string, optional)
- `numeric_value` (integer, optional)
- `display_value` (string, optional)
- `item_rank` (string, optional)
- `branding_theme` (string, optional)
- `background_color` (string, optional)
- `theme_index` (integer, optional)
- `theme_color_1` (string, optional)
- `theme_color_2` (string, optional)
- `icon_text_1` (string, optional)
- `icon_text_2` (string, optional)
- `expiry_date` (any, optional, nullable)
- `enabled` (integer, optional)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `brand_name` (string, optional)
- `image_url` (string, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsUserBuyer

- `user_id` (string, optional)
- `name` (string, optional)
- `username` (string, optional)
- `role` (integer, optional)
- `status` (integer, optional)
- `merchant` (string, optional)
- `is_litt` (integer, optional)
- `parent_id` (any, optional, nullable)
- `parent_type` (any, optional, nullable)
- `type` (string, optional)
- `is_show_advt` (integer, optional)
- `is_vip` (integer, optional)
- `is_local_hero` (integer, optional)
- `is_investor` (integer, optional)
- `two_factor_code` (any, optional, nullable)
- `two_factor_expires_at` (any, optional, nullable)
- `sales_rep` (any, optional, nullable)
- `littland_referrer` (any, optional, nullable)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `deleted_at` (any, optional, nullable)
- `last_active` (string, optional)
- `last_in_app_otp` (any, optional, nullable)
- `failed_login` (integer, optional)
- `history_passwords` (string, optional)
- `flags` (string, optional)
- `user_image` (string, optional)
- `user_profiles` (list of any, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsConvertedBalanceOptionsItems

- `balance` (string, optional)
- `bonus` (string, optional)
- `symbol` (string, optional)
- `converted_balance` (string, optional)
- `converted_symbol` (string, optional)
- `base_currency_balance` (string, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsConvertedOriginalBalance

- `balance` (string, optional)
- `symbol` (string, optional)
- `converted_balance` (string, optional)
- `converted_symbol` (string, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsConvertedAvailableBalance

- `balance` (string, optional)
- `symbol` (string, optional)
- `converted_balance` (string, optional)
- `converted_symbol` (string, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsPaymentsItems

- `payment_id` (string, optional)
- `user_id` (string, optional)
- `origin_id` (string, optional)
- `type` (string, optional)
- `credit_card_id` (any, optional, nullable)
- `currency_id` (integer, optional)
- `exchange_rate` (double, optional)
- `external_transaction_reference` (string, optional)
- `amount` (string, optional)
- `commission_percentage` (string, optional)
- `loyalty_percentage` (string, optional)
- `loyalty_min_transaction` (string, optional)
- `loyalty_max_cashback` (string, optional)
- `commission` (string, optional)
- `commission_discount` (string, optional)
- `net` (string, optional)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `credit_card` (any, optional, nullable)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsMerchant

- `merchant_id` (string, optional)
- `username` (string, optional)
- `online_store` (integer, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsCurrency

- `id` (integer, optional)
- `name` (string, optional)
- `code` (string, optional)
- `code_symbol` (string, optional)
- `exchange_rate` (double, optional)
- `decimal_digits` (integer, optional)
- `rounding` (integer, optional)
- `status` (integer, optional)
- `is_base_currency` (boolean, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsVoucher

- `merchant` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsVoucherMerchant, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsVoucherMerchant

- `merchant_info` (ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsVoucherMerchantMerchantInfo, optional)

### ApiV2GiftsAllGiftsReceivedPostResponsesContentApplicationJsonSchemaDataVouchersItemsVoucherMerchantMerchantInfo

- `external_merchant_id` (string, optional)

## Examples

**Response**

```json
{
  "message": "Successfully retrieved all user's gifts.",
  "api": "all-gifts-Received",
  "status": "success",
  "data": {
    "coupons": [],
    "promotions": [],
    "vouchers": [
      {
        "merchant_username": "mrmodsbeer",
        "voucher_id": "355d5007-76b5-4c9d-b89b-992d6496db90",
        "barcode_batch_id": null,
        "country_id": 14,
        "currency_id": 1,
        "zone_id": 0,
        "name": "$10 Voucher",
        "description": "Get $10 to put towards anything on our website - including preorders and subscription products!",
        "balance_options": "10",
        "is_universal": 0,
        "bonus_amount": "0.00",
        "total_bonus_available": "0.00",
        "total_bonus_remaining": "0.00",
        "status": "approved",
        "validity_period": 1095,
        "url": "",
        "created_at": "2024-04-26 03:47:29",
        "updated_at": "2024-04-26 03:47:29",
        "user_voucher_id": "6a93b04-5ace-4749-b4b3-b1d9d735121c",
        "barcode_id": null,
        "user_receiver_id": "0b307581-21d1-4f4d-a9fa-8045111b030e",
        "message": "Thanks Steven. ",
        "expiry_date": "2027-04-26 00:00:00",
        "delivery_date": "2024-04-26 00:00:00",
        "original_balance": "10.00",
        "available_balance": "10.00",
        "category_name": "Bottle Shop",
        "category_id": "57c7c418bd12x",
        "country_name": "Australia",
        "city_name": "Cowes",
        "image_url": "https://d1zm7p5dmuuq6t.cloudfront.net/1353513e-28db-4c21-b022-3126cc25c830/image/669aa796-1f-45db-af1c-b233821c8196.jpg",
        "payment_type": "LITT Wallet",
        "user_buyer": {
          "user_id": "a9a7b9b-ec5b-49d9-a197-db886fccc3ae",
          "name": "Maria S Capili",
          "username": "salvemaria",
          "role": 0,
          "status": 1,
          "merchant": "0",
          "is_litt": 0,
          "parent_id": null,
          "parent_type": null,
          "type": "public",
          "is_show_advt": 1,
          "is_vip": 0,
          "is_local_hero": 0,
          "is_investor": 1,
          "two_factor_code": null,
          "two_factor_expires_at": null,
          "sales_rep": null,
          "littland_referrer": null,
          "created_at": "2021-03-04 06:33:36",
          "updated_at": "2024-04-28 04:40:05",
          "deleted_at": null,
          "last_active": "2024-04-28 04:40:40",
          "last_in_app_otp": null,
          "failed_login": 0,
          "history_passwords": "$2y$10$9LSVrAv1zJ0jPyNlvhoPwefrkm6Zo5CDnumKImzHMFpCPb3/OZLGa",
          "flags": "",
          "user_image": "https://litt-ap-southeast-2.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/profile/c48008c3-61fd-45ff-b30f-e43295c0e772.jpg",
          "user_profiles": []
        },
        "converted_balance_options": [
          {
            "balance": "10.00",
            "bonus": "0.00",
            "symbol": "A$",
            "converted_balance": "10.00",
            "converted_symbol": "A$",
            "base_currency_balance": "10.00"
          }
        ],
        "converted_original_balance": {
          "balance": "10.00",
          "symbol": "A$",
          "converted_balance": "10.00",
          "converted_symbol": "A$"
        },
        "converted_available_balance": {
          "balance": "10.00",
          "symbol": "A$",
          "converted_balance": "10.00",
          "converted_symbol": "A$"
        },
        "full_address": "247 Settlement Road, Cowes, 3922, VIC, Australia",
        "address_1": "247 Settlement Road",
        "postcode": "3922",
        "city": "Cowes",
        "merchants": [],
        "payments": [
          {
            "payment_id": "ced6382c-bee5-41a8-a126-dde78953c6ec",
            "user_id": "a9a7b9b-ec5b-49d9-a197-db886fccc3ae",
            "origin_id": "6a93b04-5ace-4749-b4b3-b1d9d735121c",
            "type": "voucher",
            "credit_card_id": null,
            "currency_id": 1,
            "exchange_rate": 1.000001,
            "external_transaction_reference": "wallet",
            "amount": "10.00",
            "commission_percentage": "0.00",
            "loyalty_percentage": "0.00",
            "loyalty_min_transaction": "0.00",
            "loyalty_max_cashback": "0.00",
            "commission": "0.00",
            "commission_discount": "0.00",
            "net": "10.00",
            "created_at": "2024-04-26 03:47:29",
            "updated_at": "2024-04-26 03:47:29",
            "credit_card": null
          }
        ],
        "barcode": null,
        "merchant": {
          "merchant_id": "f02cea7-e3c7-4419-b85c-aaec38d34aff",
          "username": "mrmodsbeer",
          "online_store": 1
        },
        "redemptions": [],
        "currency": {
          "id": 1,
          "name": "Australian Dollar",
          "code": "AUD",
          "code_symbol": "A$",
          "exchange_rate": 1.000001,
          "decimal_digits": 2,
          "rounding": 0,
          "status": 1,
          "is_base_currency": true
        },
        "voucher": {
          "merchant": {
            "merchant_info": {
              "external_merchant_id": "x"
            }
          }
        }
      }
    ],
    "cot_prizes": [
      {
        "id": 11,
        "promotion_id": null,
        "category": "1",
        "asset_name": "https://img.icons8.com/?size=128&id=69655&format=png",
        "numeric_value": 30,
        "display_value": "Orange $5 Prize",
        "item_rank": "1",
        "branding_theme": "3",
        "background_color": "2",
        "theme_index": 1,
        "theme_color_1": "144894",
        "theme_color_2": "F05323",
        "icon_text_1": "$5 Prize",
        "icon_text_2": "Text2",
        "expiry_date": null,
        "enabled": 1,
        "created_at": "2024-03-17 00:00:56",
        "updated_at": "2024-03-17 00:00:56",
        "brand_name": "PartyCityTest",
        "image_url": "https://www.dropbox.com/scl/fi/8wrugczfsrmaiat5kwf5v/bannerhoriz1.png?rlkey=8n84tg08avbrsqwncsyuv8s4y&raw=1"
      }
    ]
  }
}
```

**SDK Code**

```python Gift Card & Promotion_getAllGiftReceived_example
import requests

url = "https://tbd/api/v2/gifts/all-gifts-received"

querystring = {"api_token":"{{token}}"}

response = requests.post(url, params=querystring)

print(response.json())
```

```javascript Gift Card & Promotion_getAllGiftReceived_example
const url = 'https://tbd/api/v2/gifts/all-gifts-received?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Gift Card & Promotion_getAllGiftReceived_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/gifts/all-gifts-received?api_token=%7B%7Btoken%7D%7D"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Gift Card & Promotion_getAllGiftReceived_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/gifts/all-gifts-received?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java Gift Card & Promotion_getAllGiftReceived_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/gifts/all-gifts-received?api_token=%7B%7Btoken%7D%7D")
  .asString();
```

```php Gift Card & Promotion_getAllGiftReceived_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/gifts/all-gifts-received?api_token=%7B%7Btoken%7D%7D');

echo $response->getBody();
```

```csharp Gift Card & Promotion_getAllGiftReceived_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/gifts/all-gifts-received?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift Gift Card & Promotion_getAllGiftReceived_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/gifts/all-gifts-received?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```